OpenTTD AI API: AIEventVehicleAutoReplaced Class Reference

OpenTTD AI API 14.0-beta3

Public Member Functions | Static Public Member Functions
AIEventVehicleAutoReplaced Class Reference

Event VehicleAutoReplaced, indicating a vehicle has been auto replaced. More...

Inheritance diagram for AIEventVehicleAutoReplaced:

## Public Member Functions
VehicleID | GetOldVehicleID ()
| Get the VehicleID of the vehicle that has been replaced. More...
VehicleID | GetNewVehicleID ()
| Get the VehicleID of the vehicle that has been created in replacement. More...
Public Member Functions inherited from AIEvent
| AIEvent (AIEvent::AIEventType type)
| Constructor of AIEvent, to get the type of event. More...
AIEventType | GetEventType ()
| Get the event-type. More...

## Static Public Member Functions
static AIEventVehicleAutoReplaced * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance. More...

## Additional Inherited Members
Public Types inherited from AIEvent
enum | AIEventType { ET_INVALID, ET_TEST, ET_SUBSIDY_OFFER, ET_SUBSIDY_OFFER_EXPIRED, ET_SUBSIDY_AWARDED, ET_SUBSIDY_EXPIRED, ET_ENGINE_PREVIEW, ET_COMPANY_NEW, ET_COMPANY_IN_TROUBLE, ET_COMPANY_ASK_MERGER, ET_COMPANY_MERGER, ET_COMPANY_BANKRUPT, ET_VEHICLE_CRASHED, ET_VEHICLE_LOST, ET_VEHICLE_WAITING_IN_DEPOT, ET_VEHICLE_UNPROFITABLE, ET_INDUSTRY_OPEN, ET_INDUSTRY_CLOSE, ET_ENGINE_AVAILABLE, ET_STATION_FIRST_VEHICLE, ET_DISASTER_ZEPPELINER_CRASHED, ET_DISASTER_ZEPPELINER_CLEARED, ET_TOWN_FOUNDED, ET_AIRCRAFT_DEST_TOO_FAR, ET_ADMIN_PORT, ET_WINDOW_WIDGET_CLICK, ET_GOAL_QUESTION_ANSWER, ET_EXCLUSIVE_TRANSPORT_RIGHTS, ET_ROAD_RECONSTRUCTION, ET_VEHICLE_AUTOREPLACED, ET_STORYPAGE_BUTTON_CLICK, ET_STORYPAGE_TILE_SELECT, ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...

## Detailed Description

Event VehicleAutoReplaced, indicating a vehicle has been auto replaced.

## Member Function Documentation

## ◆ Convert()

static AIEventVehicleAutoReplaced* AIEventVehicleAutoReplaced::Convert | ( | AIEvent * | instance | ) |
| inlinestatic

Convert an AIEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.

## ◆ GetNewVehicleID()

VehicleID AIEventVehicleAutoReplaced::GetNewVehicleID | ( |  | ) |
| inline

Get the VehicleID of the vehicle that has been created in replacement.

Returns
  The VehicleID of the vehicle that has been created in replacement.

## ◆ GetOldVehicleID()

VehicleID AIEventVehicleAutoReplaced::GetOldVehicleID | ( |  | ) |
| inline

Get the VehicleID of the vehicle that has been replaced.

Returns
  The VehicleID of the vehicle that has been replaced. This ID is no longer valid for referencing the vehicle.